# lookupAccountByID

GET

/v2/accounts/{account-id}

Lookup account information.

## Parameters

### Path Parameters

**account-id**  
required  
string  
Account string

### Query Parameters

**round**  
integer  
Include results for the specified round.

**include-all**  
boolean  
Include all items including closed accounts, deleted applications, destroyed assets, opted-out asset holdings, and closed-out application localstates.

**exclude**  
Array<string>  
Allowed values: all, assets, created-assets, apps-local-state, created-apps, none  
Exclude additional items such as asset holdings, application local data stored for this account, asset parameters created by this account, and application parameters created by this account.

## Responses

### 200

(empty)  
Select media type application/json  
object

**account**  
required  
Account information at a given round.  
Definition: data/basics/userBalance.go : AccountData  
object

**address**  
required  
The account public key  
string

**amount**  
required  
Total number of MicroAlgos in the account  
integer

**amount-without-pending-rewards**  
required  
Specifies the amount of MicroAlgos in the account, without the pending rewards.  
integer

**apps-local-state**  
Application local data stored in this account.  
Note the raw object uses `map[int] -> AppLocalState` for this type.  
Array<object>  
Stores local state associated with an application.

**closed-out-at-round**  
Round when account closed out of the application.  
integer

**deleted**  
Whether or not the application local state is currently deleted from its account.  
boolean

**id**  
required  
The application which this local state is for.  
integer

**key-value**  
Represents a key-value store for use in an application.  
Array<object>  
Represents a key-value pair in an application store.

**key**  
required  
string

**value**  
required  
Represents a TEAL value.

**bytes**  
required  
Bytes value.  
string

**type**  
required  
Type of the value. Value `1` refers to **bytes**, value `2` refers to **uint**  
integer

**uint**  
required  
Uint value.  
integer

**opted-in-at-round**  
Round when the account opted into the application.  
integer

**schema**  
required  
Specifies maximums on the number of each type that may be stored.  
object

**num-byte-slice**  
required  
Number of byte slices.  
integer

**num-uint**  
required  
Number of uints.  
integer

**apps-total-extra-pages**  
The sum of all extra application program pages for this account.  
integer

**apps-total-schema**  
Specifies maximums on the number of each type that may be stored.  
object

**num-byte-slice**  
required  
Number of byte slices.  
integer

**num-uint**  
required  
Number of uints.  
integer

**assets**  
Assets held by this account.  
Note the raw object uses `map[int] -> AssetHolding` for this type.  
Array<object>  
Describes an asset held by an account.  
Definition: data/basics/userBalance.go : AssetHolding  
object

**amount**  
required  
Number of units held.  
integer

**asset-id**  
required  
Asset ID of the holding.  
integer

**deleted**  
Whether or not the asset holding is currently deleted from its account.  
boolean

**is-frozen**  
required  
Whether or not the holding is frozen.  
boolean

**opted-in-at-round**  
Round during which the account opted into this asset holding.  
integer

**opted-out-at-round**  
Round during which the account opted out of this asset holding.  
integer

**auth-addr**  
The address against which signing should be checked. If empty, the address of the current account is used. This field can be updated in any transaction by setting the RekeyTo field.  
string

**closed-at-round**  
Round during which this account was most recently closed.  
integer

**created-apps**  
Parameters of applications created by this account including app global data.  
Note: the raw account uses `map[int] -> AppParams` for this type.  
Array<object>  
Application index and its parameters

**created-at-round**  
Round when this application was created.  
integer

**deleted**  
Whether or not this application is currently deleted.  
boolean

**deleted-at-round**  
Round when this application was deleted.  
integer

**id**  
required  
Application index.  
integer

**params**  
required  
Stores the global information associated with an application.  
object

**approval-program**  
required  
Approval program.  
string format: byte

**clear-state-program**  
required  
Clear state program.  
string format: byte

**creator**  
The address that created this application. This is the address where the parameters and global state for this application can be found.  
string

**extra-program-pages**  
The number of extra program pages available to this app.  
integer

**global-state**  
Represents a key-value store for use in an application.  
Array<object>  
Represents a key-value pair in an application store.

**key**  
required  
string

**value**  
required  
Represents a TEAL value.

**bytes**  
required  
Bytes value.  
string

**type**  
required  
Type of the value. Value `1` refers to **bytes**, value `2` refers to **uint**  
integer

**uint**  
required  
Uint value.  
integer

**global-state-schema**  
Specifies maximums on the number of each type that may be stored.  
object

**num-byte-slice**  
required  
Number of byte slices.  
integer

**num-uint**  
required  
Number of uints.  
integer

**local-state-schema**  
Specifies maximums on the number of each type that may be stored.  
object

**num-byte-slice**  
required  
Number of byte slices.  
integer

**num-uint**  
required  
Number of uints.  
integer

**version**  
The number of updates to the application programs  
integer

**created-assets**  
Parameters of assets created by this account.  
Note: the raw account uses `map[int] -> Asset` for this type.  
Array<object>  
Specifies both the unique identifier and the parameters for an asset  
object

**created-at-round**  
Round during which this asset was created.  
integer

**deleted**  
Whether or not this asset is currently deleted.  
boolean

**destroyed-at-round**  
Round during which this asset was destroyed.  
integer

**index**  
required  
Unique asset identifier  
integer

**params**  
required  
AssetParams specifies the parameters for an asset.  
object

**clawback**  
Address of account used to clawback holdings of this asset. If empty, clawback is not permitted.  
string

**creator**  
required  
The address that created this asset. This is the address where the parameters for this asset can be found, and also the address where unwanted asset units can be sent in the worst case.  
string

**decimals**  
required  
The number of digits to use after the decimal point when displaying this asset. If 0, the asset is not divisible. If 1, the base unit of the asset is in tenths. If 2, the base unit of the asset is in hundredths, and so on. This value must be between 0 and 19 (inclusive).  
integer

**default-frozen**  
Whether holdings of this asset are frozen by default.  
boolean

**freeze**  
Address of account used to freeze holdings of this asset. If empty, freezing is not permitted.  
string

**manager**  
Address of account used to manage the keys of this asset and to destroy it.  
string

**metadata-hash**  
A commitment to some unspecified asset metadata. The format of this metadata is up to the application.  
string format: byte

**name**  
Name of this asset, as supplied by the creator. Included only when the asset name is composed of printable utf-8 characters.  
string

**name-b64**  
Base64 encoded name of this asset, as supplied by the creator.  
string format: byte

**reserve**  
Address of account holding reserve (non-minted) units of this asset.  
string

**total**  
required  
The total number of units of this asset.  
integer

**unit-name**  
Name of a unit of this asset, as supplied by the creator. Included only when the name of a unit of this asset is composed of printable utf-8 characters.  
string

**unit-name-b64**  
Base64 encoded name of a unit of this asset, as supplied by the creator.  
string format: byte

**url**  
URL where more information about the asset can be retrieved. Included only when the URL is composed of printable utf-8 characters.  
string

**url-b64**  
Base64 encoded URL where more information about the asset can be retrieved.  
string format: byte

**created-at-round**  
Round during which this account first appeared in a transaction.  
integer

**deleted**  
Whether or not this account is currently closed.  
boolean

**incentive-eligible**  
Can the account receive block incentives if its balance is in range at proposal time.  
boolean

**last-heartbeat**  
The round in which this account last went online, or explicitly renewed their online status.  
integer

**last-proposed**  
The round in which this account last proposed the block.  
integer

**min-balance**  
required  
MicroAlgo balance required by the account.  
The requirement grows based on asset and application usage.  
integer

**participation**  
AccountParticipation describes the parameters used by this account in consensus protocol.  
object

**selection-participation-key**  
required  
Selection public key (if any) currently registered for this round.  
string format: byte

**state-proof-key**  
Root of the state proof key (if any)  
string format: byte

**vote-first-valid**  
required  
First round for which this participation is valid.  
integer

**vote-key-dilution**  
required  
Number of subkeys in each batch of participation keys.  
integer

**vote-last-valid**  
required  
Last round for which this participation is valid.  
integer

**vote-participation-key**  
required  
Root participation public key (if any) currently registered for this round.  
string format: byte

**pending-rewards**  
required  
Amount of MicroAlgos of pending rewards in this account.  
integer

**reward-base**  
Used as part of the rewards computation. Only applicable to accounts which are participating.  
integer

**rewards**  
required  
Total rewards of MicroAlgos the account has received, including pending rewards.  
integer

**round**  
required  
The round for which this information is relevant.  
integer

**sig-type**  
The type of signature used by this account, must be one of:  
- sig  
- msig  
- lsig  
- or null if unknown  
string

**status**  
required  
Voting status of the account’s MicroAlgos  
- Offline - indicates that the associated account is delegated.  
- Online - indicates that the associated account used as part of the delegation pool.  
- NotParticipating - indicates that the associated account is neither a delegator nor a delegate.  
string

**total-apps-opted-in**  
required  
The count of all applications that have been opted in, equivalent to the count of application local data (AppLocalState objects) stored in this account.  
integer

**total-assets-opted-in**  
required  
The count of all assets that have been opted in, equivalent to the count of AssetHolding objects held by this account.  
integer

**total-box-bytes**  
required  
For app-accounts only. The total number of bytes allocated for the keys and values of boxes which belong to the associated application.  
integer

**total-boxes**  
required  
For app-accounts only. The total number of boxes which belong to the associated application.  
integer

**total-created-apps**  
required  
The count of all apps (AppParams objects) created by this account.  
integer

**total-created-assets**  
required  
The count of all assets (AssetParams objects) created by this account.  
integer

**current-round**  
required  
Round at which the results were computed.  
integer

### 400

Response for errors

Select media type application/json  
object

**data**  
object

**message**  
required  
string

### 404

Response for errors

Select media type application/json  
object

**data**  
object

**message**  
required  
string

### 500

Response for errors

Select media type application/json  
object

**data**  
object

**message**  
required  
string
